Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.style
Class OdfDefaultStyleElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfContainerElementBase
                                  org.odftoolkit.odfdom.dom.element.OdfStyleBase
                                      org.odftoolkit.odfdom.dom.element.style.OdfDefaultStyleElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfDefaultStyle

    public abstract class OdfDefaultStyleElement

extends OdfStyleBase

DOM implementation of OpenDocument element style:default-style.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfDefaultStyleElement(OdfFileDom aOwnerDoc)` Create the instance of OdfDefaultStyleElement

Method Summary
`OdfChartPropertiesElement` | `createChartPropertiesElement(String symbolType)` Create child element style:chart-properties.
`OdfChartPropertiesElement` | `createChartPropertiesElement(String symbolType, OdfSymbolNameType symbolName)` Create child element style:chart-properties.
`OdfDrawingPagePropertiesElement` | `createDrawingPagePropertiesElement()` Create child element style:drawing-page-properties.
`OdfGraphicPropertiesElement` | `createGraphicPropertiesElement()` Create child element style:graphic-properties.
`OdfParagraphPropertiesElement` | `createParagraphPropertiesElement()` Create child element style:paragraph-properties.
`OdfRubyPropertiesElement` | `createRubyPropertiesElement()` Create child element style:ruby-properties.
`OdfSectionPropertiesElement` | `createSectionPropertiesElement()` Create child element style:section-properties.
`OdfTableCellPropertiesElement` | `createTableCellPropertiesElement()` Create child element style:table-cell-properties.
`OdfTableColumnPropertiesElement` | `createTableColumnPropertiesElement()` Create child element style:table-column-properties.
`OdfTablePropertiesElement` | `createTablePropertiesElement()` Create child element style:table-properties.
`OdfTableRowPropertiesElement` | `createTableRowPropertiesElement()` Create child element style:table-row-properties.
`OdfTextPropertiesElement` | `createTextPropertiesElement(String display)` Create child element style:text-properties.
`OdfTextPropertiesElement` | `createTextPropertiesElement(String display, String condition)` Create child element style:text-properties.
`OdfStyleFamily` | `getFamily()` Get value of attribute style:family.
`OdfName` | `getOdfName()` Get the element name
`void` | `init(OdfStyleFamily family)` Initialization of the mandatory attributes of `OdfDefaultStyleElement`
`void` | `setFamily(OdfStyleFamily family)` Set value of attribute style:family.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStyleBase
`addStyleUser, equals, getFamilyName, getOrCreatePropertiesElement, getParentStyle, getProperties, getPropertiesElement, getProperty, getStrictProperties, getStyleProperties, getStylePropertiesDeep, getStyleUserCount, hashCode, hasProperty, onOdfNodeInserted, onOdfNodeRemoved, removeProperty, removeStyleUser, setProperties, setProperty`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfContainerElementBase
`insertBefore, removeChild, replaceChild`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfDefaultStyleElement

    public OdfDefaultStyleElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfDefaultStyleElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element style:default-style.

### init

    public void init(OdfStyleFamily family)

  Initialization of the mandatory attributes of `OdfDefaultStyleElement`

  Parameters:
    `family` - The mandatory attribute style:family"

### getFamily

    public OdfStyleFamily getFamily()

  Get value of attribute style:family.

  Specified by:
    `getFamily` in class `OdfStyleBase`
  Returns:
    return the attribute which type is OdfStyleFamily

### setFamily

    public void setFamily(OdfStyleFamily family)

  Set value of attribute style:family.

  Parameters:
    `family` - the attribute's type is OdfStyleFamily

### createTextPropertiesElement

    public OdfTextPropertiesElement createTextPropertiesElement(String display)

  Create child element style:text-properties.

  Parameters:
    `display` - String
  Returns:
    return the element style:text-properties

### createTextPropertiesElement

    public OdfTextPropertiesElement createTextPropertiesElement(String display,
                                                                String condition)

  Create child element style:text-properties.

  Parameters:
    `display` - String
    `condition` - String
  Returns:
    return the element style:text-properties

### createParagraphPropertiesElement

    public OdfParagraphPropertiesElement createParagraphPropertiesElement()

  Create child element style:paragraph-properties.

  Returns:
    return the element style:paragraph-properties

### createSectionPropertiesElement

    public OdfSectionPropertiesElement createSectionPropertiesElement()

  Create child element style:section-properties.

  Returns:
    return the element style:section-properties

### createRubyPropertiesElement

    public OdfRubyPropertiesElement createRubyPropertiesElement()

  Create child element style:ruby-properties.

  Returns:
    return the element style:ruby-properties

### createTablePropertiesElement

    public OdfTablePropertiesElement createTablePropertiesElement()

  Create child element style:table-properties.

  Returns:
    return the element style:table-properties

### createTableColumnPropertiesElement

    public OdfTableColumnPropertiesElement createTableColumnPropertiesElement()

  Create child element style:table-column-properties.

  Returns:
    return the element style:table-column-properties

### createTableRowPropertiesElement

    public OdfTableRowPropertiesElement createTableRowPropertiesElement()

  Create child element style:table-row-properties.

  Returns:
    return the element style:table-row-properties

### createTableCellPropertiesElement

    public OdfTableCellPropertiesElement createTableCellPropertiesElement()

  Create child element style:table-cell-properties.

  Returns:
    return the element style:table-cell-properties

### createGraphicPropertiesElement

    public OdfGraphicPropertiesElement createGraphicPropertiesElement()

  Create child element style:graphic-properties.

  Returns:
    return the element style:graphic-properties

### createDrawingPagePropertiesElement

    public OdfDrawingPagePropertiesElement createDrawingPagePropertiesElement()

  Create child element style:drawing-page-properties.

  Returns:
    return the element style:drawing-page-properties

### createChartPropertiesElement

    public OdfChartPropertiesElement createChartPropertiesElement(String symbolType)

  Create child element style:chart-properties.

  Parameters:
    `symbolType` - String
  Returns:
    return the element style:chart-properties

### createChartPropertiesElement

    public OdfChartPropertiesElement createChartPropertiesElement(String symbolType,
                                                                  OdfSymbolNameType symbolName)

  Create child element style:chart-properties.

  Parameters:
    `symbolType` - String
    `symbolName` - the attribute's type is OdfSymbolNameType, see chart:symbol-name at specification
  Returns:
    return the element style:chart-properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.